<template>
    <div class="wrap">

        <div class="block"></div>
        
        <div class="block block--red" id="trigger1">
            <div class="circle" id="circle1"></div>
        </div>

        <div class="block block--purple" id="trigger2">
            <div class="circle circle--orange" id="circle2"></div>
        </div>

        <div class="block block--pink"  id="trigger3">
            <div class="circle circle--yellow" id="circle3"></div>
        </div>

        <div class="block" id='trigger4'>
            <div class="circle circle--red" id="circle4"></div>
        </div>

        <div class="block block--red">

        </div>

    </div>
</template>

<script>
    import { 
				// gsap, 
				TimelineMax,
				TweenMax,
				Back
			} from "gsap";

    export default {
        name:'Elementary3',
        mounted(){
			TweenMax.from('#circle1',0.65,{
				scaleX:0,
				yPercent: 100,
				ease: Back.easeOut,
				delay:.35
			})

            let tl = new TimelineMax();

            tl
                .to('#circle2',0.65,{
					x:500,
					rotation:180,
				},)
				.to('#circle3',0.35,{
					x:'-=200',
					rotation:'-=180',
				})
            
            let tl2 = new TimelineMax()

            tl2
            .from("#circle4",0.35,{
				scaleX:0,
				yPercent: 100,
				ease: Back.easeOut,
            })

            const scene1 = this.$scrollmagic
			.scene({
				triggerElement:'#trigger2',
				triggerHook:0,
				// duration:600 *Если есть данная строчка, то duration  в самом TimeLineMax изменяется и адаптируется под этот duration, так что наверное в большинстве его лучше закомментироват
			})
            .setTween(tl)
            
            const scene2 = this.$scrollmagic
            .scene({
				triggerElement:'#trigger4',
				triggerHook:0.2,
            })
            .setTween(tl2)

            this.$scrollmagic.addScene([
                scene1,
                scene2,
            ])
        }
    }
</script>

<style lang="scss" scoped>
    .wrap{
        display: flex;
        flex-direction: column;
        justify-content: flex-start;
        align-items: center
    }

    .block{
        width: 100%;
        height: 50vh;

        display: flex;
        flex-direction: column;
        justify-content: center;
        align-items: center

    }
    
    .block--red{
        background-color: #FF6F91;
    }

    .block--purple{
        background-color: #845EC2;
    }

    .block--pink{
        background-color: #D65DB1;
    }

    .circle{
        width: 250px;
        height: 250px;
        border-radius: 150px;

        background-color: #fff;
        
    }

    .circle--orange{
        background-color: #FF9671;
    }

    .circle--yellow{
        background-color: #F9F871;
    }

    .circle--red{
        background-color: #C34A36;
    }

</style>